<?php

/*************************************************************************
 * @Filename:Html.php
 * @Author: XenMax
 * @Date:   2017-12-05 10:27:08
 * @Last Modified by:   XenMax
 * @Last Modified time: 2017-12-05 20:50:34
 * XenMax All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/
namespace XenMax\HideLinkGuests\XF\BbCode\Renderer;

class Html extends XFCP_Html
{
    public function renderTagUrl(array $children, $option, array $tag, array $options)
    {
        $parent =  parent::renderTagUrl($children, $option, $tag, $options);
        if ($parent == '')
        {
            return $parent;
        }
        if ($option !== null)
        {
            $url = $option;
        }
        else
        {
            $url = $this->renderSubTreePlain($children);
        }

        $LinkRepo = \XF::app()->repository('XenMax\HideLinkGuests:CheckLinks');
        $whiteList = $LinkRepo->checkUrl($url);
        $visitor = \XF::visitor();
        if ($visitor->user_id <= 0 && !$whiteList)
        {
            return $this->templater->renderTemplate('public:xenmax_hidelink_bb_code_tag_url');
        }
        return $parent;
    } 
}